/*****************************************************************************
 *
 * $RCSfile: Constants.h,v $
 *
 * FetchMap
 * Project Wide Constant Declarations
 *
 * This program is Copyright (C) 01/2003 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2005/03/05 11:48:20 $
 *
 * $Revision: 1.3 $
 *
 * $Log: Constants.h,v $
 * Revision 1.3  2005/03/05 11:48:20  mp
 * added BASEDIR and FILEDIR, changed kPrefsId from 0x01 to 0x02
 *
 * Revision 1.2  2004/03/23 20:10:33  mp
 * modified kPrefsId
 *
 * Revision 1.1.1.1  2003/10/24 15:56:42  mp
 * Imported FetchMap to CVS revision control.
 *
 *
 *
 ****************************************************************************/

#ifndef CONSTANTS_H
#define CONSTANTS_H

#define kPrefsId	0x02
#define kAppVer		0x00
#define kCreatorId	'Fmap'
#define kFileCreatorId	'BOXR' /* only for file creation */
#define kFileTypeId	'DATA' /* only for file creation */
#define BASEDIR		"/PALM/Programs"
#define FILEDIR		"/PALM/Programs/gps4palm"
// The minimum OS version we support
#define kOurMinVersion	sysMakeROMVersion(3,0,0,sysROMStageRelease,0)
#endif
