/*****************************************************************************
 *
 * $RCSfile: ScrollUtils.h,v $
 *
 * Copyright (c) 2000-2001, Neil Rhodes and Julie McKeehan
 *    neil@pobox.com
 * All rights reserved.
 *
 * From the book "Palm Programming, the Developer's Guide, 2nd edition"
 * by O'Reilly.
 *
 * Permission granted to use this file however you see fit.
 *
 * $Author: mp $
 *
 * $Date: 2004/03/24 19:25:35 $
 *
 * $Revision: 1.2 $
 *
 * $Log: ScrollUtils.h,v $
 * Revision 1.2  2004/03/24 19:25:35  mp
 * moved functions to 'ui' code section
 *
 * Revision 1.1.1.1  2003/10/24 15:56:42  mp
 * Imported FetchMap to CVS revision control.
 *
 *
 *
 ****************************************************************************/
#ifndef SCROLLUTILS_H
#define SCROLLUTILS_H

#define SCROLLUTILS_SECTION   __attribute__ ((section ("ui")))

void UpdateScrollbar(FormPtr form, UInt16 fieldID,
  UInt16 scrollbarID)					SCROLLUTILS_SECTION;
void ScrollLines(FormPtr form, UInt16 fieldID, UInt16 scrollbarID,
  Int16 numLinesToScroll, Boolean redraw)		SCROLLUTILS_SECTION;
void PageScroll(FormPtr form, UInt16 fieldID, UInt16 scrollbarID,
  WinDirectionType direction)				SCROLLUTILS_SECTION;

#endif
