/*****************************************************************************
 *
 * $RCSfile: SkyviewForm.h,v $
 *
 * GPS4Palm Sky View Form
 *
 * This program is Copyright (C) 03/2003 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2005-05-06 13:36:45 $
 *
 * $Revision: 1.4 $
 *
 * $Log: SkyviewForm.h,v $
 * Revision 1.4  2005-05-06 13:36:45  mp
 * added defines for screen layout
 *
 * Revision 1.3  2004/11/24 21:26:57  mp
 * moved static function declarations from header to implementation file
 *
 * Revision 1.2  2004/11/13 14:26:26  mp
 * moved functions to 'sky' section
 *
 * Revision 1.1.1.1  2003/07/14 18:59:29  mp
 * Imported GPS4Palm to CVS revision control.
 *
 *
 ****************************************************************************/
#ifndef SKYVIEWFORM_H
#define SKYVIEWFORM_H

/*
 * The sky view functions are in their own segment
 */
#define SKYVIEW_SECTION   __attribute__ ((section ("sky")))

#define SKY_X	50	// X center coordinate
#define SKY_Y	75	// Y center coordinate
#define SKY_R1	22	// Radius inner circle
#define SKY_R2	45	// Radius outer circle
#define SKY_L1	124	// Upper bar graph limit
#define SKY_L2	149	// Bar graph base line

Boolean SkyviewFormHandleEvent(EventPtr event)		SKYVIEW_SECTION;

#endif
