/*****************************************************************************
 *
 * $RCSfile: WayptEditForm.h,v $
 *
 * GPS4Palm Waypoint Edit Form
 *
 * This program is Copyright (C) 03/2003 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2004-11-24 21:28:14 $
 *
 * $Revision: 1.9 $
 *
 * $Log: WayptEditForm.h,v $
 * Revision 1.9  2004-11-24 21:28:14  mp
 * moved static function declarations from header to implementation file
 *
 * Revision 1.8  2004/03/30 19:30:43  mp
 * modified prototype of add_waypoint(), added select_symbol()
 *
 * Revision 1.7  2004/03/15 17:16:13  mp
 * added insert_position()
 *
 * Revision 1.6  2004/03/10 17:28:29  mp
 * modified parameters of scan_position() and scan_zone()
 *
 * Revision 1.5  2004/03/09 19:20:27  mp
 * Moved functions to "database" code section.
 *
 * Revision 1.4  2004/03/08 20:20:44  mp
 * removed toupper(), added field_active()
 *
 * Revision 1.3  2004/03/07 14:23:54  mp
 * added add_waypoint()
 *
 * Revision 1.2  2004/03/07 10:37:33  mp
 * added scan_zone() amd toupper()
 *
 * Revision 1.1  2004/03/03 19:52:07  mp
 * initial version
 *
 *
 ****************************************************************************/
#ifndef WAYPTEDITFORM_H
#define WAYPTEDITFORM_H

/*
 * The waypoint edit functions are in their own segment
 */
#define WAYPTEDIT_SECTION   __attribute__ ((section ("database")))

Boolean WayptEditFormHandleEvent(EventPtr event)	WAYPTEDIT_SECTION;

#endif
