/*****************************************************************************
 *
 * $RCSfile: dobitmap.h,v $
 *
 * Display image stored in memory area pointed to by **lines
 *   using WinDrawBitmap
 *
 * created: 2002-12-15
 *
 * History:
 * 2002-12-15:	first version, taken from the program PiNGer which is
 *		  part of the ZBoxZ application suite (Rev. 0.30)
 *		  by Tom Zerucha
 *
 * This program is Copyright (C) 12/2002 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2003-07-14 18:59:29 $
 *
 * $Revision: 1.1.1.1 $
 *
 * $Log: dobitmap.h,v $
 * Revision 1.1.1.1  2003-07-14 18:59:29  mp
 * Imported GPS4Palm to CVS revision control.
 *
 *
 ****************************************************************************/ 
#ifndef DOBITMAP_H
#define DOBITMAP_H

/*
 * The map display functions are in their own segment
 */
#define DOBITMAP_SECTION   __attribute__ ((section ("maps")))

extern void dobitmap(
		short unsigned int xofs, short unsigned int yofs,
		short unsigned int mag,
		short unsigned int dx, short unsigned int dy,
		short unsigned int dw, short unsigned int dh,
		short unsigned int deep)		DOBITMAP_SECTION;

#endif
