/*****************************************************************************
 *
 * $RCSfile: geodb.h,v $
 *
 * Header for GeoDB
 *
 * $Date: 2005-01-29 10:17:33 $
 *
 * $Revision: 1.1 $
 *
 * $Log: geodb.h,v $
 * Revision 1.1  2005-01-29 10:17:33  mp
 * imported from example code (importGeoDBLocation.zip) by David W. Bray
 *
 *
 ****************************************************************************/
#ifndef GEODB_H
#define GEODB_H

#include "PalmCompatibility.h"

#define dbType        'Data'
#define geoDBCreator  'GoDB'
#define geoDBType     'appl'
#define geoDBVerNumber 1.1

typedef struct
{ Char name[18];
  Char latStr[14], longStr[14], altStr[14], gmtStr[6];
  Boolean latNS, longEW, gmtEW;
  Byte dayLight;
} Location;

Boolean importGeoDBLocation(void);

#endif
