/*****************************************************************************
 *
 * $RCSfile: gifread.h,v $
 *
 * GIF Image Decoder
 *
 * This program is Copyright (C) 12/2002 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2005-05-15 10:41:32 $
 *
 * $Revision: 1.3 $
 *
 * $Log: gifread.h,v $
 * Revision 1.3  2005-05-15 10:41:32  mp
 * modified doGIF()
 *
 * Revision 1.2  2004/11/24 21:07:25  mp
 * moved static function declarations from header to implementation file
 *
 * Revision 1.1.1.1  2003/07/14 18:59:29  mp
 * Imported GPS4Palm to CVS revision control.
 *
 *
 ****************************************************************************/
#ifndef GIFREAD_H
#define GIFREAD_H
#include "file_io.h"

/*
 * The map display functions are in their own segment
 */
#define GIFREAD_SECTION   __attribute__ ((section ("maps")))

int doGIF(FileDescrType fd)					GIFREAD_SECTION;
void cleanGIF(void)						GIFREAD_SECTION;

#endif
