/*****************************************************************************
 *
 * $RCSfile: ResourceDefines.h,v $
 *
 *
 * Palm OS Resource ID Header File for FetchMap Application
 *
 *  created: 2003-01-04
 *
 *  History:
 *   2003-01-04:	first version
 *
 *  This program is Copyright (C) 01/2003 Matthias Prinke
 *  <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 *  In particular, this program is free software and comes WITHOUT
 *  ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2005/03/05 11:49:12 $
 *
 * $Revision: 1.4 $
 *
 * $Log: ResourceDefines.h,v $
 * Revision 1.4  2005/03/05 11:49:12  mp
 * added DestList, DestPopup, and DestLabel
 *
 * Revision 1.3  2004/04/04 13:45:33  mp
 * modified MainForm
 *
 * Revision 1.2  2004/03/23 20:16:34  mp
 * added NoMathLibAlert
 *
 * Revision 1.1.1.1  2003/10/24 15:56:42  mp
 * Imported FetchMap to CVS revision control.
 *
 *
 *
 ****************************************************************************/

// General
#define AboutString				1001
#define AboutBitmap				1002

// Alerts
#define RomIncompatibleAlert			1101
#define HttpErrAlert				1102
#define FileErrAlert				1103
#define LaunchAlert				1104
#define NoMathLibAlert				1105

// Main Form
#define MainForm				2000

//   Labels
#define ScaleLabel				2011
#define SizeLabel				2012
#define StatusLabel				2013

//   Location Input Form Objects
#define ZoneLabel				2021
#define ZoneField				2022
#define LatLabel				2023
#define EastLabel				2024    
#define LatitudeField				2025
#define LonLabel				2026
#define NorthLabel				2027
#define LongitudeField				2028

//   Map Scale Input Form Objects
#define ScaleList				2061
#define ScalePopup				2062

//   Map Size Input Form Objects
#define WidthField				2071
#define Size2Label				2072
#define HeightField				2073
#define Size3Label				2074

//   Map File Destination Form Objects
#define DestList				2081
#define DestPopup				2082
#define DestLabel				2083

//   Status Display Field
#define StatusField				1091

//   Download Map Button
#define GetButton				1092

// About Form
#define AboutForm				3000
#define About1Label				3001
#define AboutField				3002
#define AboutScrollBar				3003
#define AboutOKButton				3004

// Menu Items
#define MainFormMenuBar				2500
#define MainOptionsMenu				2510
#define Units0Menu				2511
#define Units1Menu				2512
#define Units2Menu				2513
#define Units3Menu				2514
#define AboutMenu				2520
#define DisconnectMenu				2530
