/*****************************************************************************
 *
 * $RCSfile: expedia.h,v $
 *
 * Generate URL for Map Download from Expedia
 *
 * This program is Copyright (C) 03/2004 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2005/03/05 11:38:11 $
 *
 * $Revision: 1.3 $
 *
 * $Log: expedia.h,v $
 * Revision 1.3  2005/03/05 11:38:11  mp
 * moved static function declaration to expedia.c
 *
 * Revision 1.2  2004/03/24 19:24:53  mp
 * moved functions to default code section
 *
 * Revision 1.1  2004/03/23 20:57:58  mp
 * initial version
 *
 *
 ****************************************************************************/
#ifndef EXPEDIA_H
#define EXPEDIA_H

#define EXPEDIA_MAP_DEF		0
#define EXPEDIA_MAP_EU		1
#define EXPEDIA_MAP_US		2
#define EXPEDIA_MAP_WORLD	3

#define EXPEDIA_SRV_COM		0
#define EXPEDIA_SRV_DE		1

/* Note: function must reside in the default code section! */

void gen_expedia_url(Char *strP, double lat, double lon, UInt32 scale,
  UInt16 width, UInt16 height, UInt16 reg, UInt16 srv);

#endif
