/*****************************************************************************
 *
 * $RCSfile: fp.h,v $
 *
 * Double to String/String to Double Conversion Routines
 *
 * This program is Copyright (C) 12/2003 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2004/03/21 09:52:46 $
 *
 * $Revision: 1.1 $
 *
 * $Log: fp.h,v $
 * Revision 1.1  2004/03/21 09:52:46  mp
 * imported from gps4palm
 *
 * Revision 1.3  2004/03/20 11:17:41  mp
 * changed float to double
 *
 * Revision 1.2  2004/03/06 15:53:41  mp
 * added parameter trailP to cvt_atof()
 *
 * Revision 1.1  2003/12/31 12:28:05  mp
 * initial version
 *
 *
 ****************************************************************************/
#ifndef FP_H
#define FP_H

/* Prototypes to use for calling fp routines */

double cvt_atof(char *strP, char **trailP, short *fracP);
void format_number(double value, short frac, char *strP);


#endif
