/*****************************************************************************
 *
 * $RCSfile: GPS.h,v $
 *
 * GPS4Palm Main functions
 *
 * This program is Copyright (C) 03/2003 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2004-11-24 21:09:21 $
 *
 * $Revision: 1.4 $
 *
 * $Log: GPS.h,v $
 * Revision 1.4  2004-11-24 21:09:21  mp
 * moved static function declarations from header to implementation file
 *
 * Revision 1.3  2004/11/11 18:46:29  mp
 * moved functions to 'msghand' section
 *
 * Revision 1.2  2004/03/09 19:08:34  mp
 * Added prototypes for all functions.
 *
 * Revision 1.1.1.1  2003/07/14 18:59:29  mp
 * Imported GPS4Palm to CVS revision control.
 *
 *
 ****************************************************************************/
#ifndef GPS_H
#define GPS_H

#define MSGHANDLER_SECTION   __attribute__ ((section ("msghand")))

extern UInt16	gTicksPerSecond;

extern UInt32	gMaxTicksWithoutTime;

extern UInt32	gTicksToLoseGPS;

extern Boolean	gFormOpened;

UInt32 PilotMain(UInt16 cmd, MemPtr cmdPBP, UInt16 launchFlags);
Boolean ReadFromGPS(void)				MSGHANDLER_SECTION;

#endif
