/*****************************************************************************
 *
 * $RCSfile: RouteForm.h,v $
 *
 * GPS4Palm Routes Form
 *
 * This program is Copyright (C) 12/2002 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2004-11-24 21:20:26 $
 *
 * $Revision: 1.4 $
 *
 * $Log: RouteForm.h,v $
 * Revision 1.4  2004-11-24 21:20:26  mp
 * moved static function declarations from header to implementation file
 *
 * Revision 1.3  2004/11/13 15:58:08  mp
 * removed RouteTableLoadCmnt()
 *
 * Revision 1.2  2004/11/11 18:42:45  mp
 * moved founctions to 'route' section, added RTE_TBL_ROWS
 *
 * Revision 1.1  2004/04/29 19:25:58  mp
 * initial version
 *
 *
 ****************************************************************************/ 
#ifndef ROUTEFORM_H
#define ROUTEFORM_H

#define RTE_TBL_ROWS	6	/* number of visible table rows */

/*
 * The Route Form functions are in their own segment
 */
#define ROUTE_SECTION   __attribute__ ((section ("route")))

Boolean RouteFormHandleEvent(EventPtr eventP)		ROUTE_SECTION;

void routeDrawTable(void)				ROUTE_SECTION;

#endif
