/*****************************************************************************
 *
 * $RCSfile: WaypointForm.h,v $
 *
 * GPS4Palm Waypoint Form
 *
 * This program is Copyright (C) 12/2002 Matthias Prinke
 * <matthias.prinke@surfeu.de> and covered by GNU's GPL.
 * In particular, this program is free software and comes WITHOUT
 * ANY WARRANTY.
 *
 * $Author: mp $
 *
 * $Date: 2004-11-24 21:28:41 $
 *
 * $Revision: 1.7 $
 *
 * $Log: WaypointForm.h,v $
 * Revision 1.7  2004-11-24 21:28:41  mp
 * moved static function declarations from header to implementation file
 *
 * Revision 1.6  2004/11/18 17:29:38  mp
 * added QueryRouteWaypoint()
 *
 * Revision 1.5  2004/04/29 20:08:27  mp
 * Moved data exchange functions to DataExchange.c,
 * moved table scrolling/paging functions to Utils.c.
 *
 * Revision 1.4  2004/04/18 18:44:01  mp
 * added get_next_wpt() and store_wpt()
 *
 * Revision 1.3  2004/04/18 18:19:14  mp
 * added get_next_wpt2()
 *
 * Revision 1.2  2004/03/09 19:13:47  mp
 * Moved functions from "maps" to "database" code section.
 *
 * Revision 1.1  2004/02/28 13:31:58  mp
 * initial version
 *
 *
 ****************************************************************************/ 
#ifndef WAYPOINTFORM_H
#define WAYPOINTFORM_H

/*
 * The Waypoint Form functions are in their own segment
 */
#define WAYPOINT_SECTION   __attribute__ ((section ("database")))

Boolean WaypointFormHandleEvent(EventPtr eventP)	WAYPOINT_SECTION;

void wayptDrawTable(void)				WAYPOINT_SECTION;

#endif
